<?php
/**
 *
 *  Codename: ant-ng - generator of sources.list for Debian and
 *  distributives, based on Debian
 *  http://alex-w.org.ru/p/antng/
 *
 *  Copyright (c) 2009 Alexander Wolf
 *  Dual licensed under the MIT and GNU LGPL licenses.
 *  http://alex-w.org.ru/p/antng/license
 *
 */

require_once dirname(__FILE__)."/init.php";

if(!empty($_GET["action"])) {
    $action = $_GET["action"];
} else {
    $action = "view";
}
if(!empty($_GET["mode"])) {
    $mode = $_GET["mode"];
} else {
    $mode = "empty";
}

$uuid = $secure->checkInt($_GET["uuid"]);

$valid = $core->checkCookieSign($_COOKIE[$cookie]);

$scripts  = "";

$menu  = "<fieldset><legend>Меню</legend>\n";
$menu .= "<div id='rmenu'></div>\n";
$menu .= "<ul class='vfix'><li><a href='".$manager."?mode=distributions'>Дистрибутивы</a></li>";
$menu .= "<li><a href='".$manager."?mode=versions'>Версии</a></li>";
$menu .= "<li><a href='".$manager."?mode=sections'>Секции</a></li>";
$menu .= "<li><a href='".$manager."?mode=signs'>Подписи</a></li>";
$menu .= "<li><a href='".$manager."?mode=repositories'>Репозитории</a></li>";
$menu .= "<li><a href='".$manager."?mode=settings'>Настройки</a></li>";
$menu .= "<li><a href='".$manager."?mode=exit'>Выход</a></li></ul>";
$menu .=" </fieldset>\n";

$tmpl->assign('scripts', $scripts);
$tmpl->assign('menu', $menu);

switch ($mode) {
    case 'empty':
        if ($valid["ERR"]==1)  {
            $tmpl->assign('header', "Вход");
            $tmpl->assign('description', "Вход в панель управления генератором");
            $tmpl->assign('body', $core->showSigninForm());
            $tmpl->display('default.tpl');
        } else {
            $tmpl->assign('header', "CPanel");
            $tmpl->assign('description', "Панель управления генератором");       
            $tmpl->assign('body', $body);
            $tmpl->display('manager.tpl');
        }        
        break;
    case 'exit':
        setcookie($cookie, '', time()-10);
        header("Location: ./\n\n");
        break;
    case 'distributions':
        // Управление дистрибутивами
        $body = "<h3>Управление дистрибутивами</h3>";
        switch ($action) {
            case 'view':
                    $body .= "<p><a href='".$manager."?mode=distributions&action=new'>Добавить новый дистрибутив</a></p>";
                    $body .= $core->showDistributionList("distributions", $maganer, "", "list");
                break;
            case 'new':
                    $body .= "<form action='".$process."' method='post' enctype='multipart/form-data'>\n";
                    $body .= "<input type='hidden' name='mode' value='distributive-add'>\n";
                    $body .= $core->showDistributionForm(0,"Добавление информации о новом дистрибутиве");
                    $body .= "</form>";
                break;
            case 'edit':
                    $body .= "<form action='".$process."' method='post' enctype='multipart/form-data'>\n";
                    $body .= "<input type='hidden' name='mode' value='distributive-edit'>\n";
                    $body .= "<input type='hidden' name='distID' value='".$uuid."'>\n";
                    $body .= $core->showDistributionForm($uuid, "Редактирование информации о дистрибутиве");
                    $body .= "</form>";
                break;
            case 'delete':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='distributive-delete'>\n";
                    $body .= "<input type='hidden' name='distID' value='".$uuid."'>\n";
                    $body .= $core->showDistributionForm($uuid, "Удаление информации о дистрибутиве");
                    $body .= "</form>";
                break;
        }
        $tmpl->assign('header', "CPanel");
        $tmpl->assign('description', "Панель управления генератором");
        $tmpl->assign('body', $body);
        $tmpl->display('manager.tpl');
        break;
    case 'versions':
        // Управление версиями
        $body  = "<h3>Управление версиями</h3>";
        switch ($action) {
            case 'view':
                    $body .= "<p><a href='".$manager."?mode=versions&action=new'>Добавить новую версию дистрибутива</a></p>";
                    $body .= $core->showDistVersionsList("versions", 0, "list", $manager);
                break;
            case 'edit':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='version-edit'>\n";
                    $body .= "<input type='hidden' name='versionID' value='".$uuid."'>\n";
                    $body .= $core->showDistVersionsForm($uuid, "Редактирование информации о версии дистрибутива");
                    $body .= "</form>";
                break;
            case 'delete':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='version-delete'>\n";
                    $body .= "<input type='hidden' name='versionID' value='".$uuid."'>\n";
                    $body .= $core->showDistVersionsForm($uuid, "Удаление информации о версии дистрибутива");
                    $body .= "</form>";
                break;
            case 'new':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='version-add'>\n";
                    $body .= $core->showDistVersionsForm(0, "Добавление новой версии дистрибутива");
                    $body .= "</form>";
                break;
        }
        $tmpl->assign('header', "CPanel");
        $tmpl->assign('description', "Панель управления генератором");
        $tmpl->assign('body', $body);
        $tmpl->display('manager.tpl');
        break;
    case 'sections':
        // Управление секциями (deb)
        $body  = "<h3>Управление секциями репозиториев</h3>";
        switch ($action) {
            case 'view':
                    $body .= "<p><a href='".$manager."?mode=sections&action=new'>Добавить новую секцию репозитория</a></p>";
                    $body .= $core->showSectionsList("sections", $manager);
                break;
            case 'edit':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='section-edit'>\n";
                    $body .= "<input type='hidden' name='sectionID' value='".$uuid."'>\n";
                    $body .= $core->showSectionsForm($uuid, "Редактирование информации о секции");
                    $body .= "</form>";
                break;
            case 'delete':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='section-delete'>\n";
                    $body .= "<input type='hidden' name='sectionID' value='".$uuid."'>\n";
                    $body .= $core->showSectionsForm($uuid, "Удаление информации о секции");
                    $body .= "</form>";
                break;
            case 'new':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='section-add'>\n";
                    $body .= $core->showSectionsForm(0, "Добавление новой секции");
                    $body .= "</form>";
                break;
        }
        $tmpl->assign('header', "CPanel");
        $tmpl->assign('description', "Панель управления генератором");
        $tmpl->assign('body', $body);
        $tmpl->display('manager.tpl');
        break;
    case 'signs':
        // Управление подписями (rpm)
        $body  = "<h3>Управление подписями репозиториев</h3>";
        switch ($action) {
            case 'view':
                    $body .= "<p><a href='".$manager."?mode=signs&action=new'>Добавить новую подпись репозитория</a></p>";
                    $body .= $core->showSignsList("signs", $manager);
                break;
            case 'edit':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='sign-edit'>\n";
                    $body .= "<input type='hidden' name='signID' value='".$uuid."'>\n";
                    $body .= $core->showSignsForm($uuid, "Редактирование информации о подписи");
                    $body .= "</form>";
                break;
            case 'delete':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='sign-delete'>\n";
                    $body .= "<input type='hidden' name='signID' value='".$uuid."'>\n";
                    $body .= $core->showSignsForm($uuid, "Удаление информации о подписи");
                    $body .= "</form>";
                break;
            case 'new':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='sign-add'>\n";
                    $body .= $core->showSignsForm(0, "Добавление новой подписи");
                    $body .= "</form>";
                break;
        }
        $tmpl->assign('header', "CPanel");
        $tmpl->assign('description', "Панель управления генератором");
        $tmpl->assign('body', $body);
        $tmpl->display('manager.tpl');
        break;
    case 'repositories':
        // Управление репозиториями
        switch ($action) {
            case 'view':
                    $body .= "<ul><li><a href='".$manager."?mode=repositories&action=new-rpm'>Добавить новый rpm-репозиторий</a></li>";
                    $body .= "<li><a href='".$manager."?mode=repositories&action=new-deb'>Добавить новый deb-репозиторий</a></li></ul>";
                    //$body .= $core->showRepositoriesList("repositories", $manager, "list");
                break;
            case 'edit':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='repositories-edit'>\n";
                    $body .= "<input type='hidden' name='repositoriesID' value='".$uuid."'>\n";
                    //$body .= $core->showRepositoriesForm($uuid, "Редактирование информации о репозитории");
                    $body .= "</form>";
                break;
            case 'delete':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='repositories-delete'>\n";
                    $body .= "<input type='hidden' name='repositoriesID' value='".$uuid."'>\n";
                    //$body .= $core->showRepositoriesForm($uuid, "Удаление информации о репозитории");
                    $body .= "</form>";
                break;
            case 'new-rpm':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='repositories-add-rpm'>\n";
                    //$body .= $core->showRepositoriesForm(0, "Добавление нового rpm-репозитория", "rpm");
                    $body .= "</form>";
                break;
            case 'new-deb':
                    $body .= "<form action='".$process."' method='post'>\n";
                    $body .= "<input type='hidden' name='mode' value='repositories-add-deb'>\n";
                    //$body .= $core->showRepositoriesForm(0, "Добавление нового deb-репозитория", "deb");
                    $body .= "</form>";
                break;
        }
        
        $tmpl->assign('header', "CPanel");
        $tmpl->assign('description', "Панель управления генератором");
        $tmpl->assign('body', $body);
        $tmpl->display('manager.tpl');
        break;
    case 'settings':
        // Настройки генератора
        $body = "Функционал еще не готов";

        $tmpl->assign('header', "CPanel");
        $tmpl->assign('description', "Панель управления генератором");
        $tmpl->assign('body', $body);
        $tmpl->display('manager.tpl');
        break;
}

?>
